<?xml version="1.0" encoding="UTF-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
targetNamespace="urn:3gpp:ns:mcpttMbmsUsage:1.0"
xmlns:mcpttmbms="urn:3gpp:ns:mcpttMbmsUsage:1.0">
	<!-- the root element -->
	<xs:element name="mcptt-mbms-usage-info" type="mcpttmbms:mcptt-mbms-usage-info-Type" id="mbms"/>
	<xs:complexType name="mcptt-mbms-usage-info-Type">
		<xs:sequence>
			<xs:element name="mbms-listening-status" type="mcpttmbms:mbms-listening-statusType" 
			minOccurs="0"/>
			<xs:element name="announcement" type="mcpttmbms:announcementTypeParams" minOccurs="0"/>
			<xs:element name="GPMS" type="xs:positiveInteger" minOccurs="0"/>
			<xs:element name="version" type="xs:integer"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcpttmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="mbms-listening-statusType">
		<xs:sequence>
			<xs:element name="mbms-listening-status" type="xs:string"/>
			<xs:element name="session-id" type="xs:anyURI" minOccurs="0"/>
			<xs:element name="general-purpose" type="xs:boolean" minOccurs="0"/>
			<xs:element name="TMGI" type="xs:hexBinary" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcpttmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="announcementTypeParams">
		<xs:sequence>
			<xs:element name="TMGI" type="xs:hexBinary" minOccurs="1"/>
			<xs:element name="QCI" type="xs:integer" minOccurs="0"/>
			<xs:element name="frequency" type="xs:unsignedLong" minOccurs="0"/>
			<xs:element name="mbms-service-areas" type="xs:hexBinary" minOccurs="0"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcpttmbms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="anyExtType">
		<xs:sequence>
			<xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>